<?php
/* Mantenimiento de los registros de la tabla ALM_Marca redefinidos por el usaurio */
class ALM_MarcaDP extends BaseALM_MarcaDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT LPAD( IF( MAX( CAST( IdMarca AS UNSIGNED ) ) IS NULL, 1, MAX( CAST( IdMarca AS UNSIGNED ) ) + 1 ) , 5, '0') i_Id  FROM ALM_Marca;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>